MCA Suite v2 Docs

Leads

Add a lead

POST /v1/lead

Request

FieldTypeDescription
firstName*stringMax 50 characters.
lastNamestringMax 50 characters.
companyName*stringMax 100 characters.
companyDba*stringMax 100 characters.
phonestringMax 30 characters.
emailstringMax 100 characters.
assignedTostring[]Persons to assign the lead to. Non-existent persons are ignored.
sourceCompanystringMax 100 characters.

Response

FieldTypeDescription
successboolean
idstringThe unique identifier of the added lead.
invalidDataobjectPresent when some submitted data was rejected.

Example

result = client.leads.add(
    company_name="Acme Inc",
    company_dba="Acme",
    first_name="Jane",
    last_name="Doe",
    email="jane@acme.com",
)
print(result.id, result.success)

Example response

{ "success": true, "id": "12345" }